version: "3.8"
services:
  nginx:
    hostname: maintenance
    image: nginx:latest
    volumes:
      - /mnt/docker_volumes/maintenance:/usr/share/nginx/html
      - /mnt/docker_volumes/maintenance/default.conf:/etc/nginx/conf.d/default.conf
    ports:
      - "3010:80"
    environment:
      - NGINX_HOST=nginx
      - NGINX_PORT=80
    restart: always
    networks:
      - infrastructure_default
networks:
  infrastructure_default:
    external: true
